Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## writer2latex.xhtml
Class TextConverter

    java.lang.Object
      writer2latex.xhtml.ConverterHelper
          writer2latex.xhtml.TextConverter

    public class TextConverter

extends ConverterHelper

Field Summary
`private org.w3c.dom.Node` | `asapNode`
`private boolean` | `bInToc`
`private org.w3c.dom.Element` | `currentChapter`
`(package private) org.w3c.dom.Element[]` | `currentHeading`
`private java.util.LinkedList` | `endnotes`
`private java.util.LinkedList` | `footnotes`
`(package private) java.util.Vector` | `index`
`private java.util.Vector` | `indexes`
`private java.util.Hashtable` | `listCounters`
`private int` | `nAlphabeticalIndex`
`private int` | `nDontSplitLevel`
`private int` | `nFloatMode`
`private int` | `nIndexIndex`
`(package private) int` | `nSplit`
`private int` | `nTocFileIndex`
`private int` | `nTocIndex`
`private ListCounter` | `outlineNumbering`
`private java.lang.String` | `sCurrentListLabel`
`protected java.util.Stack` | `sections`
`private java.lang.String` | `sEntCitBodyStyle`
`private java.lang.String` | `sEntCitStyle`
`private java.lang.String` | `sFntCitBodyStyle`
`private java.lang.String` | `sFntCitStyle`
`private java.util.Vector` | `tocEntries`

Fields inherited from class writer2latex.xhtml.ConverterHelper
`config, converter, ofr`

Constructor Summary
`TextConverter(OfficeReader ofr, Config config, Converter converter)`

Method Summary
`private org.w3c.dom.Element` | `applyAttribute(org.w3c.dom.Element node, java.lang.String sAttr, boolean bApply)`
`private org.w3c.dom.Element` | `applyAttributes(org.w3c.dom.Element node, StyleWithProperties style)`
`void` | `convertTextContent(org.w3c.dom.Element onode)` Converts an office node as a complete text document
`private org.w3c.dom.Element` | `createInline(org.w3c.dom.Element node, java.lang.String sStyleName)`
`private org.w3c.dom.Element` | `createParagraph(org.w3c.dom.Element node, java.lang.String sStyleName)`
`private void` | `createReference(org.w3c.dom.Node onode, org.w3c.dom.Node hnode, java.lang.String sPrefix)`
`private org.w3c.dom.Element` | `createTextBackground(org.w3c.dom.Element node, java.lang.String sStyleName)`
`private void` | `generateToc(IndexData data)`
`protected int` | `getAlphabeticalIndex()`
`protected int` | `getTocIndex()`
`private void` | `handleAlphabeticalIndex(org.w3c.dom.Node onode, org.w3c.dom.Node hnode)`
`private void` | `handleAlphabeticalIndexMark(org.w3c.dom.Node onode, org.w3c.dom.Node hnode)`
`private void` | `handleAlphabeticalIndexMarkStart(org.w3c.dom.Node onode, org.w3c.dom.Node hnode)`
`protected void` | `handleAnchor(org.w3c.dom.Node onode, org.w3c.dom.Node hnode)`
`private void` | `handleBibliography(org.w3c.dom.Node onode, org.w3c.dom.Node hnode)`
`private void` | `handleBibliographyMark(org.w3c.dom.Node onode, org.w3c.dom.Node hnode)`
`private void` | `handleBookmark(org.w3c.dom.Node onode, org.w3c.dom.Node hnode)`
`private void` | `handleBookmarkRef(org.w3c.dom.Node onode, org.w3c.dom.Node hnode)`
`private void` | `handleEndnote(org.w3c.dom.Node onode, org.w3c.dom.Node hnode)`
`private void` | `handleFootnote(org.w3c.dom.Node onode, org.w3c.dom.Node hnode)`
`private void` | `handleHeading(org.w3c.dom.Node onode, org.w3c.dom.Node hnode, boolean bAfterSplit)`
`private void` | `handleList(org.w3c.dom.Node onode, int nLevel, java.lang.String sStyleName, org.w3c.dom.Node hnode)`
`private void` | `handleLOF(org.w3c.dom.Node onode, org.w3c.dom.Node hnode)`
`private void` | `handleLOT(org.w3c.dom.Node onode, org.w3c.dom.Node hnode)`
`private void` | `handleNoteRef(org.w3c.dom.Node onode, org.w3c.dom.Node hnode)`
`private void` | `handleObjectIndex(org.w3c.dom.Node onode, org.w3c.dom.Node hnode)`
`private void` | `handleOL(org.w3c.dom.Node onode, int nLevel, java.lang.String sStyleName, org.w3c.dom.Node hnode)`
`private void` | `handlePageCount(org.w3c.dom.Node onode, org.w3c.dom.Node hnode)`
`private void` | `handlePageNumber(org.w3c.dom.Node onode, org.w3c.dom.Node hnode)`
`private void` | `handleParagraph(org.w3c.dom.Node onode, org.w3c.dom.Node hnode)`
`private void` | `handleReferenceMark(org.w3c.dom.Node onode, org.w3c.dom.Node hnode)`
`private void` | `handleReferenceRef(org.w3c.dom.Node onode, org.w3c.dom.Node hnode)`
`private org.w3c.dom.Node` | `handleSection(org.w3c.dom.Node onode, org.w3c.dom.Node hnode)`
`private void` | `handleSequence(org.w3c.dom.Node onode, org.w3c.dom.Node hnode)`
`private void` | `handleSequenceRef(org.w3c.dom.Node onode, org.w3c.dom.Node hnode)`
`private void` | `handleSpan(org.w3c.dom.Node onode, org.w3c.dom.Node hnode)`
`private void` | `handleTabStop(org.w3c.dom.Node onode, org.w3c.dom.Node hnode)`
`private void` | `handleTOC(org.w3c.dom.Node onode, org.w3c.dom.Node hnode)`
`private void` | `handleTocMark(org.w3c.dom.Node onode, org.w3c.dom.Node hnode)`
`private void` | `handleUL(org.w3c.dom.Node onode, int nLevel, java.lang.String sStyleName, org.w3c.dom.Node hnode)`
`private void` | `handleUserIndex(org.w3c.dom.Node onode, org.w3c.dom.Node hnode)`
`private boolean` | `hasItems(org.w3c.dom.Node onode)`
`void` | `insertEndnotes(org.w3c.dom.Node hnode)`
`void` | `insertFootnotes(org.w3c.dom.Node hnode)`
`private org.w3c.dom.Node` | `maybeSplit(org.w3c.dom.Node node, int nLevel, boolean bAfterHeading)`
`private void` | `prependAsapNode(org.w3c.dom.Node node)`
`private org.w3c.dom.Node` | `traverseBlockText(org.w3c.dom.Node onode, int nLevel, java.lang.String styleName, org.w3c.dom.Node hnode)`
`org.w3c.dom.Node` | `traverseBlockText(org.w3c.dom.Node onode, org.w3c.dom.Node hnode)`
`private void` | `traverseFloats(org.w3c.dom.Node onode, org.w3c.dom.Node hnodeBlock, org.w3c.dom.Node hnodeInline)`
`private void` | `traverseInlineText(org.w3c.dom.Node onode, org.w3c.dom.Node hnode)`
`private void` | `traverseList(org.w3c.dom.Node onode, int nLevel, java.lang.String styleName, org.w3c.dom.Element hnode)`
`private void` | `traverseListItem(org.w3c.dom.Node onode, int nLevel, java.lang.String styleName, org.w3c.dom.Node hnode)`
`private void` | `traverseNoteBody(java.lang.String sId, java.lang.String sCitStyle, org.w3c.dom.Node citation, org.w3c.dom.Node onode, org.w3c.dom.Node hnode)`
`private void` | `traversePCDATA(org.w3c.dom.Node onode, org.w3c.dom.Node hnode)`

Methods inherited from class writer2latex.xhtml.ConverterHelper
`applyStyle, getCellSc, getDrawCv, getFrameSc, getListSc, getMathCv, getPageSc, getParSc, getPresentationSc, getRowSc, getSectionSc, getStyleCv, getTableCv, getTableSc, getTextCv, getTextSc`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### nSplit

    int nSplit

### nDontSplitLevel

    private int nDontSplitLevel

### sections

    protected java.util.Stack sections

### currentHeading

    org.w3c.dom.Element[] currentHeading

### outlineNumbering

    private ListCounter outlineNumbering

### listCounters

    private java.util.Hashtable listCounters

### sCurrentListLabel

    private java.lang.String sCurrentListLabel

### nFloatMode

    private int nFloatMode

### indexes

    private java.util.Vector indexes

### index

    java.util.Vector index

### nIndexIndex

    private int nIndexIndex

### nAlphabeticalIndex

    private int nAlphabeticalIndex

### tocEntries

    private java.util.Vector tocEntries

### nTocFileIndex

    private int nTocFileIndex

### currentChapter

    private org.w3c.dom.Element currentChapter

### nTocIndex

    private int nTocIndex

### sFntCitBodyStyle

    private java.lang.String sFntCitBodyStyle

### sFntCitStyle

    private java.lang.String sFntCitStyle

### sEntCitBodyStyle

    private java.lang.String sEntCitBodyStyle

### sEntCitStyle

    private java.lang.String sEntCitStyle

### footnotes

    private java.util.LinkedList footnotes

### endnotes

    private java.util.LinkedList endnotes

### asapNode

    private org.w3c.dom.Node asapNode

### bInToc

    private boolean bInToc

Constructor Detail

### TextConverter

    public TextConverter(OfficeReader ofr,
                         Config config,
                         Converter converter)

Method Detail

### convertTextContent

    public void convertTextContent(org.w3c.dom.Element onode)

  Converts an office node as a complete text document

  Parameters:
    `onode` - the Office node containing the content to convert

### getTocIndex

    protected int getTocIndex()

### getAlphabeticalIndex

    protected int getAlphabeticalIndex()

### traverseBlockText

    public org.w3c.dom.Node traverseBlockText(org.w3c.dom.Node onode,
                                              org.w3c.dom.Node hnode)

### traverseBlockText

    private org.w3c.dom.Node traverseBlockText(org.w3c.dom.Node onode,
                                               int nLevel,
                                               java.lang.String styleName,
                                               org.w3c.dom.Node hnode)

### maybeSplit

    private org.w3c.dom.Node maybeSplit(org.w3c.dom.Node node,
                                        int nLevel,
                                        boolean bAfterHeading)

### handleSection

    private org.w3c.dom.Node handleSection(org.w3c.dom.Node onode,
                                           org.w3c.dom.Node hnode)

### handleHeading

    private void handleHeading(org.w3c.dom.Node onode,
                               org.w3c.dom.Node hnode,
                               boolean bAfterSplit)

### handleParagraph

    private void handleParagraph(org.w3c.dom.Node onode,
                                 org.w3c.dom.Node hnode)

### prependAsapNode

    private void prependAsapNode(org.w3c.dom.Node node)

### hasItems

    private boolean hasItems(org.w3c.dom.Node onode)

### handleOL

    private void handleOL(org.w3c.dom.Node onode,
                          int nLevel,
                          java.lang.String sStyleName,
                          org.w3c.dom.Node hnode)

### handleUL

    private void handleUL(org.w3c.dom.Node onode,
                          int nLevel,
                          java.lang.String sStyleName,
                          org.w3c.dom.Node hnode)

### handleList

    private void handleList(org.w3c.dom.Node onode,
                            int nLevel,
                            java.lang.String sStyleName,
                            org.w3c.dom.Node hnode)

### traverseList

    private void traverseList(org.w3c.dom.Node onode,
                              int nLevel,
                              java.lang.String styleName,
                              org.w3c.dom.Element hnode)

### traverseListItem

    private void traverseListItem(org.w3c.dom.Node onode,
                                  int nLevel,
                                  java.lang.String styleName,
                                  org.w3c.dom.Node hnode)

### handleTOC

    private void handleTOC(org.w3c.dom.Node onode,
                           org.w3c.dom.Node hnode)

### generateToc

    private void generateToc(IndexData data)

### handleLOF

    private void handleLOF(org.w3c.dom.Node onode,
                           org.w3c.dom.Node hnode)

### handleLOT

    private void handleLOT(org.w3c.dom.Node onode,
                           org.w3c.dom.Node hnode)

### handleObjectIndex

    private void handleObjectIndex(org.w3c.dom.Node onode,
                                   org.w3c.dom.Node hnode)

### handleUserIndex

    private void handleUserIndex(org.w3c.dom.Node onode,
                                 org.w3c.dom.Node hnode)

### handleAlphabeticalIndex

    private void handleAlphabeticalIndex(org.w3c.dom.Node onode,
                                         org.w3c.dom.Node hnode)

### handleBibliography

    private void handleBibliography(org.w3c.dom.Node onode,
                                    org.w3c.dom.Node hnode)

### traverseFloats

    private void traverseFloats(org.w3c.dom.Node onode,
                                org.w3c.dom.Node hnodeBlock,
                                org.w3c.dom.Node hnodeInline)

### traverseInlineText

    private void traverseInlineText(org.w3c.dom.Node onode,
                                    org.w3c.dom.Node hnode)

### handleTabStop

    private void handleTabStop(org.w3c.dom.Node onode,
                               org.w3c.dom.Node hnode)

### handleSpan

    private void handleSpan(org.w3c.dom.Node onode,
                            org.w3c.dom.Node hnode)

### traversePCDATA

    private void traversePCDATA(org.w3c.dom.Node onode,
                                org.w3c.dom.Node hnode)

### handleAnchor

    protected void handleAnchor(org.w3c.dom.Node onode,
                                org.w3c.dom.Node hnode)

### handleFootnote

    private void handleFootnote(org.w3c.dom.Node onode,
                                org.w3c.dom.Node hnode)

### insertFootnotes

    public void insertFootnotes(org.w3c.dom.Node hnode)

### handleEndnote

    private void handleEndnote(org.w3c.dom.Node onode,
                               org.w3c.dom.Node hnode)

### insertEndnotes

    public void insertEndnotes(org.w3c.dom.Node hnode)

### traverseNoteBody

    private void traverseNoteBody(java.lang.String sId,
                                  java.lang.String sCitStyle,
                                  org.w3c.dom.Node citation,
                                  org.w3c.dom.Node onode,
                                  org.w3c.dom.Node hnode)

### handlePageNumber

    private void handlePageNumber(org.w3c.dom.Node onode,
                                  org.w3c.dom.Node hnode)

### handlePageCount

    private void handlePageCount(org.w3c.dom.Node onode,
                                 org.w3c.dom.Node hnode)

### handleSequence

    private void handleSequence(org.w3c.dom.Node onode,
                                org.w3c.dom.Node hnode)

### createReference

    private void createReference(org.w3c.dom.Node onode,
                                 org.w3c.dom.Node hnode,
                                 java.lang.String sPrefix)

### handleSequenceRef

    private void handleSequenceRef(org.w3c.dom.Node onode,
                                   org.w3c.dom.Node hnode)

### handleNoteRef

    private void handleNoteRef(org.w3c.dom.Node onode,
                               org.w3c.dom.Node hnode)

### handleReferenceMark

    private void handleReferenceMark(org.w3c.dom.Node onode,
                                     org.w3c.dom.Node hnode)

### handleReferenceRef

    private void handleReferenceRef(org.w3c.dom.Node onode,
                                    org.w3c.dom.Node hnode)

### handleBookmark

    private void handleBookmark(org.w3c.dom.Node onode,
                                org.w3c.dom.Node hnode)

### handleBookmarkRef

    private void handleBookmarkRef(org.w3c.dom.Node onode,
                                   org.w3c.dom.Node hnode)

### handleAlphabeticalIndexMark

    private void handleAlphabeticalIndexMark(org.w3c.dom.Node onode,
                                             org.w3c.dom.Node hnode)

### handleAlphabeticalIndexMarkStart

    private void handleAlphabeticalIndexMarkStart(org.w3c.dom.Node onode,
                                                  org.w3c.dom.Node hnode)

### handleTocMark

    private void handleTocMark(org.w3c.dom.Node onode,
                               org.w3c.dom.Node hnode)

### handleBibliographyMark

    private void handleBibliographyMark(org.w3c.dom.Node onode,
                                        org.w3c.dom.Node hnode)

### applyAttributes

    private org.w3c.dom.Element applyAttributes(org.w3c.dom.Element node,
                                                StyleWithProperties style)

### applyAttribute

    private org.w3c.dom.Element applyAttribute(org.w3c.dom.Element node,
                                               java.lang.String sAttr,
                                               boolean bApply)

### createParagraph

    private org.w3c.dom.Element createParagraph(org.w3c.dom.Element node,
                                                java.lang.String sStyleName)

### createTextBackground

    private org.w3c.dom.Element createTextBackground(org.w3c.dom.Element node,
                                                     java.lang.String sStyleName)

### createInline

    private org.w3c.dom.Element createInline(org.w3c.dom.Element node,
                                             java.lang.String sStyleName)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD